SignSecure Sign PadSignSecure Sign Pad
Workflows

List reusable workflows

GET
/workflows

Authorization

bearerAuth
AuthorizationBearer <token>

API key as Bearer token. Format: signsecure_xxxxxxxx...

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://api.signpad.signsecure.in/api/v1/workflows"
{
  "items": [
    {
      "id": "string",
      "organizationId": "string",
      "name": "string",
      "description": "string",
      "status": "draft",
      "ownerId": "string",
      "custodianUserId": "string",
      "latestPublishedVersion": 1,
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "code": "UNAUTHORIZED",
  "message": "Invalid or missing API key",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}

{
  "code": "FORBIDDEN",
  "message": "API key is disabled",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}